package com.fxy.detection.bean;

import android.os.Parcel;
import android.os.Parcelable;

public class ConfirmGoodsBean implements Parcelable {

    private String box_number = ""; //
    private String goods_id = ""; //
    private String unit_code = ""; //
    private String node_code = ""; //
    private String node_name = ""; //
    private String result = ""; //
    private String is_confirm = "";

    public ConfirmGoodsBean(){

    }


    protected ConfirmGoodsBean(Parcel in) {
        box_number = in.readString();
        goods_id = in.readString();
        unit_code = in.readString();
        node_code = in.readString();
        node_name = in.readString();
        result = in.readString();
        is_confirm = in.readString();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(box_number);
        dest.writeString(goods_id);
        dest.writeString(unit_code);
        dest.writeString(node_code);
        dest.writeString(node_name);
        dest.writeString(result);
        dest.writeString(is_confirm);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<ConfirmGoodsBean> CREATOR = new Creator<ConfirmGoodsBean>() {
        @Override
        public ConfirmGoodsBean createFromParcel(Parcel in) {
            return new ConfirmGoodsBean(in);
        }

        @Override
        public ConfirmGoodsBean[] newArray(int size) {
            return new ConfirmGoodsBean[size];
        }
    };

    public String getBoxNumber() {
        return box_number;
    }

    public void setBoxNumber(String box_number) {
        this.box_number = box_number;
    }

    public String getGoodsId() {
        return goods_id;
    }

    public void setGoodsId(String goods_id) {
        this.goods_id = goods_id;
    }

    public String getUnitCode() {
        return unit_code;
    }

    public void setUnitCode(String unit_code) {
        this.unit_code = unit_code;
    }

    public String getNodeCode() {
        return node_code;
    }

    public void setNodeCode(String node_code) {
        this.node_code = node_code;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getNodeName() {
        return node_name;
    }

    public void setNodeName(String node_name) {
        this.node_name = node_name;
    }

    public String getIsConfirm() {
        return is_confirm;
    }

    public void setIsConfirm(String is_confirm) {
        this.is_confirm = is_confirm;
    }
}
